Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs	(revision 1504)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs	(revision 1505)
@@ -157,4 +157,14 @@
           client.NrOfCores = 0;
 
+        if (!row.IsNumberOfFreeCoresNull())
+          client.NrOfFreeCores = row.NumberOfFreeCores;
+        else
+          client.NrOfFreeCores = 0;
+
+        if (!row.IsFreeMemoryNull())
+          client.FreeMemory = row.FreeMemory;
+        else
+          client.FreeMemory = 0;
+
         //todo: config adapter (client.config)
 
@@ -177,4 +187,6 @@
           row.SetStatusNull();
         row.NumberOfCores = client.NrOfCores;
+        row.NumberOfFreeCores = client.NrOfFreeCores;
+        row.FreeMemory = client.FreeMemory;
 
         //todo: config adapter
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs	(revision 1504)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs	(revision 1505)
@@ -158,4 +158,14 @@
           job.Priority = default(int);
 
+        if (!row.IsCoresNeededNull())
+          job.CoresNeeded = row.CoresNeeded;
+        else
+          job.CoresNeeded = default(int);
+
+        if (!row.IsMemoryNeededNull())
+          job.MemoryNeeded = row.MemoryNeeded;
+        else
+          job.MemoryNeeded = default(int);
+
         return job;
       } else
@@ -214,4 +224,8 @@
 
         row.Priority = job.Priority;
+
+        row.CoresNeeded = job.CoresNeeded;
+
+        row.MemoryNeeded = job.MemoryNeeded;
       }
 
@@ -296,5 +310,9 @@
 
     public ICollection<Job> FindJobs(State state, int cores, int memory) {
-      throw new NotImplementedException();
+      return
+         base.FindMultiple(
+           delegate() {
+             return Adapter.GetDataByStateCoresMemory(state.ToString(), cores, memory);
+           });
     }
     #endregion
